.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the ViewportContainer.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_ViewportContainer:

ViewportContainer
=================

**Inherits:** :ref:`Container<class_container>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+--------------------------+------------------------------------------------------------------------------------------------------+
| :ref:`bool<class_bool>`  | :ref:`is_stretch_enabled<class_ViewportContainer_is_stretch_enabled>`  **(** **)** const             |
+--------------------------+------------------------------------------------------------------------------------------------------+
| void                     | :ref:`set_stretch<class_ViewportContainer_set_stretch>`  **(** :ref:`bool<class_bool>` enable  **)** |
+--------------------------+------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`bool<class_bool>` **stretch**

Member Function Description
---------------------------

.. _class_ViewportContainer_is_stretch_enabled:

- :ref:`bool<class_bool>`  **is_stretch_enabled**  **(** **)** const

.. _class_ViewportContainer_set_stretch:

- void  **set_stretch**  **(** :ref:`bool<class_bool>` enable  **)**


